
Installer - Feature #9347

puppet module should support alternate agent service name

02/11/2015 07:25 PM - Greg Petras

Status: Closed   

Priority: Normal   

Assignee: Greg Petras   

Category: Foreman modules   

Target version: 1.8.0   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Right now you can't override the service name ('puppet') when instantiating the puppet class, ie:

class {'puppet':

service_name => 'pe-puppet',

}

This is because the declaration of the 'puppet' service uses $puppet::params::service_name. We should change that to

$puppet::service_name.

Associated revisions

Revision 804faa75 - 02/12/2015 04:25 AM - Greg Petras

Fixed #9347 - allow custom agent service name

Closes GH-239

History

#1 - 02/12/2015 05:01 AM - Anonymous

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset puppet-puppet|804faa758014864dfea5872f47351990f4e5b5f8.

#2 - 03/02/2015 05:45 AM - Dominic Cleal

- translation missing: en.field_release set to 28
